import { Constants } from "./Constants.js";
import { elt } from "./elt.js";
import { State } from "./State.js";

/**
 * Initializes the game board.
 *
 * @param {string} id
 * The id of the element to add the board to.
 */
export function initializeBoard(id)
{
    let board = document.getElementById(id);
    board.innerHTML = "";

    for (let i = 0; i < 6; i++)
    {
        for (let j = 0; j < 7; j++)
        {
            /** @type {Node[]} */
            let children = [];
            let playerId = State[i][j];

            if (playerId !== "")
            {
                children.push(elt(
                    "div",
                    {
                        class: `piece ${Constants.PLAYER_NAMES[playerId]}`
                    }));
            }

            board.appendChild(
                elt(
                    "div",
                    {
                        class: "field"
                    },
                    ...children));
        }
    }
}
